<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bBanco,m05bClasses.* ,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
	
<HTML>
	
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<head>
		<title><%= resTit.getString("titMtoBancos")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<%
	String sql = "", mensaje="", accion, delimReg= "@";
	String cuenta, nombre="", direccion="", telefono="";
	String titular="", direc="", poblacion="";
    java.sql.Connection conn=null;
    PreparedStatement pstmt = null;
    ResultSet rs = null;

	cuenta = request.getParameter("Cuenta");
	mensaje = request.getParameter("Mensaje");
	m05bBanco banco = null;
	if ( ((cuenta==null) || (cuenta.equals(""))) 
				&& (!(mensaje.equals("Existe"))) ) {
		cuenta= "";
		accion=m05bConstantes.ACC_INSERTAR;
		session.removeAttribute("m05bBanco");
	} else   {
		accion=m05bConstantes.ACC_ACTUALIZAR;
		banco = (m05bBanco)session.getAttribute("m05bBanco");
		nombre=banco.getBan_nombre()==null?"":banco.getBan_nombre();
		direccion=banco.getBan_direccion()==null?"":banco.getBan_direccion();
		telefono=banco.getBan_telefono()==null?"":banco.getBan_telefono();
		// Desglose de la direccion
		try {
			sql = "select translate("+ m05bConstantes.COL_03_DIRECCION + ",chr(10)||chr(13),'@')";
			sql += " from " + m05bConstantes.TAB_BANCOS;
			sql += " where " + m05bConstantes.COL_03_NCUENTA + " = '" + cuenta + "'";
			//m05bbBeginSelect(sql);
			//m05bRS = m05bPStmt.executeQuery();
            m05bConexion miConex = new m05bConexion();
            conn = miConex.getConnection();
            conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
            pstmt = conn.prepareStatement(sql);
	        rs = pstmt.executeQuery();			
			if (rs.next() == true){
				StringTokenizer stReg = new StringTokenizer(rs.getString(1),delimReg);
				if(stReg.hasMoreTokens()){
					titular=stReg.nextToken();
					if(stReg.hasMoreTokens()){
						direc=stReg.nextToken();		
						if(stReg.hasMoreTokens()){			
							poblacion=stReg.nextToken();			
						}
					}
				}												
			}
		} catch (Exception ex) {
			m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
			miLog.addTraza(ex);
		} finally {
			//m05bEndSelect();
		       if (rs != null)
			   rs.close();
		       if (pstmt != null)
			   pstmt.close();
		       if (conn != null)
			   conn.close();
			
		}
	}

	if (banco == null){
		banco = new m05bBanco();
		session.setAttribute("m05bBanco",banco);
	}

	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
		outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)){
		accion=m05bConstantes.ACC_INSERTAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 19));</script>");
	}
	outMsg.close();
%>

 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_BANCOS%><%=cuenta%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelBancos")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_BANCOS%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoBancos")%>';
	
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
 	 
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
				<FORM NAME="formBancos" METHOD="POST">
						  <TABLE class="general">
						    <tr> 
						      <td width="90%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Cuenta.value,'<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
						      <td width="10%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Cuenta.value,'<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
							</tr>
						  </TABLE>
						<p>
						  <TABLE class="general">
						    <tr> 
						      <td class="inputFieldTitle"><%= res.getString("etCuenta")%></td>
						      <td class="inputFieldTitle"><%= res.getString("etNombre")%></td>
						      <td class="inputFieldTitle"><%= res.getString("etTelefono")%></td>
						    </tr>
						    <tr align="left"> 
						      <% if ( (cuenta.equals("")) || (mensaje.equals("Existe")) ) {  %>
							      <td> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Cuenta" VALUE="<%=cuenta%>" size="25%" maxlength="20"/> </td>
							  <% } else  {   %>
						          <td> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Cuenta" disabled VALUE="<%=cuenta%>" size="25%" maxlength="20"/> </td>
						      <%  }  %>
							      <td> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Nombre" VALUE="<%=nombre%>" size="65%" maxlength="100"/> </td>
						          <td> <INPUT class="inputField" TYPE="TEXT" NAME="Telefono" VALUE="<%=telefono%>" size="15%" maxlength="15"/> </td>
						    </tr>
						    <tr> 
						      <td class="inputFieldTitle"><%= res.getString("etTitular")%></td>
						      <td class="inputFieldTitle"><%= res.getString("etDireccion")%></td>
						      <td class="inputFieldTitle"><%= res.getString("etPoblacion")%></td>
						    </tr>
						    <tr align="left"> 
						       <td> <INPUT class="inputField" TYPE="TEXT" NAME="Titular" VALUE="<%=titular%>" size="25%"/> </td>
						       <td> <INPUT class="inputField" TYPE="TEXT" NAME="Direc" VALUE="<%=direc%>" size="65%"/> </td>
						       <td> <INPUT class="inputField" TYPE="TEXT" NAME="Poblacion" VALUE="<%=poblacion%>" size="15%"/> </td>
						    </tr>
						  </TABLE>
						  <INPUT TYPE="hidden" NAME="Direccion">
				</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<script language="JavaScript">
	function fncGrabar(cuenta, accion) {
		var docu=document.formBancos;
 	 	if(docu.Cuenta.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Cuenta.focus();
			return;
		}
		if(existeCaracter(docu.Cuenta.value,"\'")||existeCaracter(docu.Cuenta.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Cuenta.focus();
			return;
		}
		if(docu.Nombre.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Nombre.focus();
			return;
		}
		if(existeCaracter(docu.Nombre.value,"\'")||existeCaracter(docu.Nombre.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Nombre.focus();
			return;
		}
		
		if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
			if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
				return;
		}
		
		var intro = " || chr(10) || ";
		docu.Direccion.value="'" + docu.Titular.value + "'" + intro + "'" + docu.Direc.value + "'" + intro + "'" + docu.Poblacion.value + "'" ;
        docu.action="m05bGrabarBancoServlet?Cuenta=" +  cuenta + "&Accion=" + accion;
     	docu.submit();
	}

    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>